## ros-melodic-hector-mapping 0.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(hector_mapping)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS roscpp nav_msgs visualization_msgs tf message_filters laser_geometry tf_conversions message_generation)

## System dependencies are found with CMake's conventions
find_package(Boost REQUIRED COMPONENTS thread)
include_directories(${Boost_INCLUDE_DIRS})

# Find Eigen3 (from http://wiki.ros.org/jade/Migration)
find_package(Eigen3)
if(NOT EIGEN3_FOUND)
  # Fallback to cmake_modules
  find_package(cmake_modules REQUIRED)
  find_package(Eigen REQUIRED)
  set(EIGEN3_INCLUDE_DIRS ${EIGEN_INCLUDE_DIRS})
  set(EIGEN3_LIBRARIES ${EIGEN_LIBRARIES})  # Not strictly necessary as Eigen is head only
  # Possibly map additional variables to the EIGEN3_ prefix.
else()
  set(EIGEN3_INCLUDE_DIRS ${EIGEN3_INCLUDE_DIR})
endif()

## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
# catkin_python_setup()

#######################################
## Declare ROS messages and services ##
#######################################

## Generate messages in the 'msg' folder
add_message_files(
  FILES
  HectorDebugInfo.msg
  HectorIterData.msg
)

## Generate services in the 'srv' folder
# add_service_files(
#   FILES
#   Service1.srv
#   Service2.srv
# )

## Generate added messages and services with any dependencies listed here
generate_messages(
  DEPENDENCIES
)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  INCLUDE_DIRS include
#  LIBRARIES hector_mapping
  CATKIN_DEPENDS roscpp nav_msgs visualization_msgs tf message_filters laser_geometry tf_conversions message_runtime
  DEPENDS EIGEN3
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(include include/hector_slam_lib)
include_directories(
  ${catkin_INCLUDE_DIRS}
  ${EIGEN3_INCLUDE_DIRS}
)

## Declare a cpp library
# add_library(hector_mapping
#   src/${PROJECT_NAME}/hector_mapping.cpp
# )

## Declare a cpp executable
add_executable(hector_mapping
  src/HectorDebugInfoProvider.h
  src/HectorDrawings.h
  src/HectorMappingRos.h
  src/HectorMappingRos.cpp
  src/main.cpp
  src/PoseInfoContainer.cpp
  src/PoseInfoContainer.h
)

## Add cmake target dependencies of the executable/library
## as an example, message headers may need to be generated before nodes
add_dependencies(hector_mapping hector_mapping_generate_messages_cpp)

## Specify libraries to link a library or executable target against
target_link_libraries(hector_mapping
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
)

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
# install(PROGRAMS
#   scripts/my_python_script
#   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark executables and/or libraries for installation
install(TARGETS hector_mapping
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE
)

## Mark other files for installation (e.g. launch and bag files, etc.)
# install(FILES
#   # myfile1
#   # myfile2
#   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
# )
install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch/
)

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_hector_mapping.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

=== debian/changelog ===
ros-melodic-hector-mapping (0.4.1-1stretch) stretch; urgency=high

  * Remove unnecessary boost signals find_package
    With Boost >1.69 hector_mapping won't build. Furthermore, hector_mapping doesn't use signals anywhere.
  * Contributors: Sam Pfeiffer

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 14 May 2020 22:00:00 -0000

ros-melodic-hector-mapping (0.3.6-1stretch) stretch; urgency=high

  * Merge pull request #49 <https://github.com/tu-darmstadt-ros-pkg/hector_slam/issues/49> from davidbsp/catkin
    populate child_frame_id in odometry msg
  * Added child_frame_id in hector mapping's odometry msg
  * Contributors: David Portugal, Johannes Meyer

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Wed, 30 Oct 2019 23:00:00 -0000

ros-melodic-hector-mapping (0.3.5-1stretch) stretch; urgency=high

  * Use the FindEigen3.cmake module provided by Eigen
  * Contributors: Johannes Meyer

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 23 Jun 2016 22:00:00 -0000

ros-melodic-hector-mapping (0.3.4-1stretch) stretch; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Fri, 06 Nov 2015 23:00:00 -0000

ros-melodic-hector-mapping (0.3.3-1stretch) stretch; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sat, 14 Jun 2014 22:00:00 -0000

ros-melodic-hector-mapping (0.3.2-1stretch) stretch; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sat, 29 Mar 2014 23:00:00 -0000

ros-melodic-hector-mapping (0.3.1-1stretch) stretch; urgency=high

  * respect ``p_map_frame_``
  * added changelogs

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Tue, 08 Oct 2013 22:00:00 -0000

ros-melodic-hector-mapping (0.3.0-1stretch) stretch; urgency=high

  * catkinized hector_slam
  * hector_mapping: fixed multi-resolution map scan matching index bug in MapRepMultiMap.h

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Wed, 07 Aug 2013 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-hector-mapping
Section: misc
Priority: optional
Maintainer: Johannes Meyer <meyer@fsr.tu-darmstadt.de>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libeigen3-dev, ros-melodic-catkin, ros-melodic-laser-geometry, ros-melodic-message-filters, ros-melodic-message-generation, ros-melodic-nav-msgs, ros-melodic-roscpp, ros-melodic-tf, ros-melodic-tf-conversions, ros-melodic-visualization-msgs
Homepage: http://ros.org/wiki/hector_mapping
Standards-Version: 3.9.2

Package: ros-melodic-hector-mapping
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libeigen3-dev, ros-melodic-laser-geometry, ros-melodic-message-filters, ros-melodic-message-runtime, ros-melodic-nav-msgs, ros-melodic-roscpp, ros-melodic-tf, ros-melodic-tf-conversions, ros-melodic-visualization-msgs
Description: hector_mapping is a SLAM approach that can be used without odometry as well as on platforms that exhibit roll/pitch motion (of the sensor, the platform or both).
 It leverages the high update rate of modern LIDAR systems like the Hokuyo UTM-30LX and provides 2D pose estimates at scan rate of the sensors (40Hz for the UTM-30LX). While the system does not provide explicit loop closing ability, it is sufficiently accurate for many real world scenarios. The system has successfully been used on Unmanned Ground Robots, Unmanned Surface Vehicles, Handheld Mapping Devices and logged data from quadrotor UAVs.
